org.richfaces.renderkit.html

## Class SimpleTableMenuRenderer

- java.lang.Object
- - org.richfaces.renderkit.html.TableMenuRenderer
  - - org.richfaces.renderkit.html.SimpleTableMenuRenderer

- All Implemented Interfaces:
    java.io.Serializable

      public class SimpleTableMenuRenderer
      extends TableMenuRenderer

  Author:
    pawelgo
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.html.TableMenuRenderer

      `CHANGE_COL_VISIBILITY, changeColumnVisibilityFunction, column, context, groupFunction, onAjaxCompleteFunction, prepareFunction, resourceBuilder, sortFunction, table`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleTableMenuRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.ajax4jsf.javascript.JSFunctionDefinition` | `createShowMenuEventFunction()` Creates JavaScript code to be executed in order to show menu on some event.
    `java.lang.String` | `render()` Renders table menu.
    `protected void` | `renderMenuItem(UIColumn column)`

    - ### Methods inherited from class org.richfaces.renderkit.html.TableMenuRenderer

      `renderMenu, setChangeColumnVisibilityFunction, setGroupFunction, setOnAjaxCompleteFunction, setPrepareFunction, setSortFunction`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleTableMenuRenderer

          public SimpleTableMenuRenderer()

  - ### Method Detail

    - #### render

          public java.lang.String render()
                                  throws java.io.IOException

      Description copied from class: `TableMenuRenderer`
      Renders table menu.
      Specified by:
        `render` in class `TableMenuRenderer`
      Returns:
        created menu (DOM element) id
      Throws:
        `java.io.IOException`

    - #### renderMenuItem

          protected void renderMenuItem(UIColumn column)
                                 throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### createShowMenuEventFunction

          public org.ajax4jsf.javascript.JSFunctionDefinition createShowMenuEventFunction()

      Description copied from class: `TableMenuRenderer`
      Creates JavaScript code to be executed in order to show menu on some event.
      Specified by:
        `createShowMenuEventFunction` in class `TableMenuRenderer`
      Returns:
        JavaScript code causes showing menu

Copyright © 2013. All Rights Reserved.